如何在高版本的Xcode调试低版本的iOS SDK

转载
2016 九月中旬,苹果推送了iOS10正式版,同时也更新了Xcode8。我们使用Xcode8新建的工程,默认支持的最低系统是iOS8,我们可以手动更改版本到7.0,但是不支持真机调试。

现在的项目一般都要兼容iOS7系统,同时也要兼容iOS10,在Xcode8上面,默认情况下无法调试iOS7,因为缺乏调试iOS7需要的配置文件。同时在低版本的Xcode上面(8以下),也无法调试iOS10的真机。解决办法如下:

我们在升级Xcode8之前,可以先将调试需要的配置文件拷贝出来,方法finder中前往文件夹/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport进入,将里面如下图所示的文件夹拷贝出来,如果已经升级了Xcode8,里面就没有这些配置,我这里有拷贝好的,点击下载

升级到Xcode8之后,将之前拷贝出来的文件放入之前的文件夹中,在finder中前往文件夹到/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport,之后我们需要配置一下Xcode,同样的在finder中前往文件夹,打开以下路径/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk ,用Xcode打开SDKSettings.plist这个文件,加入如下图所示的配置,保存之后重启Xcode8,之后在工程的Deployment Target里面就可以选择7.0了。(修改SDKSettings.plist文件的时候需要获取权限,我个人采用的是先copy出来该文件修改后再去替换文件夹下的文件)

如果是Xcode8以下的版本调试适配iOS10,方法是一样的,只不过需要在高版本的Xcode里面把配置文件拷贝出来,上面的下载地址里面也有iOS10的配置包,目前可以调试iOS10.0.2的手机系统。

如果SDKSettings.plist这个文件提示无法修改的话,可以先讲这个文件拷贝一份到桌面,修改后再覆盖进去即可。